SDL_pow(3)

NAME
SDL_pow - Raise x to the power y

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_pow(double x, double y);

DESCRIPTION
Domain: -INF <= x <= INF,

-INF <= y <= INF

Range: -INF <= z <= INF

If y is the base of the natural logarithm (e), consider using SDL_exp instead.

This function operates on double-precision floating point values, use SDL_powf for single-precision floats.

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   the base.

y   the exponent.

RETURN VALUE
Returns x raised to the power y.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_powf(3), SDL_exp(3), SDL_log(3)